package gov.va.vinci.dart.biz;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="OnlineDataTemplate",schema="hib")
public class OnlineDataTemplate extends BusinessObject {

	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="requestid")
	Request request;

	OnlineDataTemplate(){}
	
	public Request getRequest() {
		return request;
	}

	public DartRequest getDartRequest() {
		return (DartRequest)request;
	}
}
